ASI Loader + Script Hook 0.5.0 (for GTA IV 1.0.6.0)

by Alexander Blade and Aru
Please explain why you're reporting this file:

Cancel
 
This tool is needed to load ASI mods for EFLC, GTA IV v1.0.6.0 and lower
Rating:
8.68/10 - 107 votes
Downloads: 203,361
Added: April 21, 2010 12:31AM
Last Downloaded: September 30, 2014 5:19AM
File Size: 194.83 KB
» Author Website

This file has no videos.
Sorry, you must be registered and logged in to add a video to this file. Log in now!

Please add save(Tbogt) Please!

Very need))
Posted on April 23, 2010 2:00PM by Jonsrw
Nice :D
Posted on April 27, 2010 8:22AM by Multivers
i patched gta to 1.0.6.0 instaled this tool and the console is't working?

what's the problem

sorry for my bed english

Posted on April 27, 2010 9:41AM by heli
script hook doesn't have console
Posted on May 4, 2010 5:25AM by amd74
THIS IS FOR THE PC, NOT THE CONSOLE. THIS SITE IS FOR PC MODS NOT XBOX OR PS3 MODS. <-------------
Posted on May 9, 2010 10:12AM by SimpsonsKing
ofcourse for the pc. i mean console activated with "~". In older versions scripthook has the console.

Without it how to spawn new added car?
Posted on May 14, 2010 11:12AM by heli
that is not script hook that is .net script loader

and it has been updated for 1.0.6
Posted on May 14, 2010 12:07PM by amd74
amd74: if u r talking about this mod's scripthook then it IS a scripthook and not a net scripthook
Posted on June 7, 2010 3:11PM by monster875
I wonder aobut the same thing. Does it work with the newest update?

And whats the newest update called? 1.0.6? PM ME!
Posted on June 22, 2010 9:09PM by Draugnor922
:( i feel stupid but i recently had to re-install GTAIV but for some reason my cd version was not working. so i used my digital steam copy and downloaded it. now none of my fav. mods work! and now i am desperately hoping one of you guys might have a solution for me! halp!
Posted on June 24, 2010 2:17AM by aztecjester
Draugnor922: the newest update (or patch like other says) is 1.0.7.0 for IV and 1.1.2.0 for EFLC and u need the scipthook for 1.0.7.0 because that for 1.0.6.0 doesn't work for 1.0.7.0
Posted on June 24, 2010 8:51AM by monster875
I have vista computer and everytime I put ASI in my computer to put mods in it always doesnt allow me to start the game... help please?
Posted on August 9, 2010 8:51PM by CoryGlover
CoryGlover: run as adminstrator
Posted on August 11, 2010 6:06AM by monster875
dose this work for 1.0.0.0?
Posted on August 11, 2010 10:23AM by Nahumk22
Hey Monster875, I ran as admin and it said something bout (DEP) Data Execution Prevention. It said GTA4 Stopped Working"looking for solution" I went to system settings, advanced settings, performance, then DEP an it says Turn on for essential Window programs and services only, and Turn on for all exept selected then I put it on selected and tried adding it then said this program must run with DEP enabled.. any idea??
Posted on August 11, 2010 4:57PM by CoryGlover
after i added this the game wont work. right at the end of loading it just closes itself with a windows error
Posted on September 4, 2010 2:11AM by stayplation3
And can somebody tell me if new script hook and game version still has messed up rain? If i use ScriptHookDotNet.asi I get rain indoors and no surface drops. But i still use 1.0.4.0.
Posted on September 15, 2010 10:38PM by tall70
yep it says accsess denied
Posted on October 12, 2010 3:54PM by bloodshreder99
It works but when I open GTA IV launcher it only loads and nothing else happens the game doesn't come up but it only does when I remove scripthook :(
Posted on November 6, 2010 2:24PM by Sigma200
Does this work with EFLC ???, i cant seem to get anything to work, i tried 1st person mod and superman mod but when i put the files in the Folder it stopped the game from running, im a newb help :(
Posted on November 24, 2010 5:23PM by tiggy1
whenever i run as admin it gives me a scripthook error then opens up for 5 minutes then the game crashes. im a noob the * is happening i installed the 1.0.4.0 patch? should i put a different one or download different asi and script hook help?
Posted on January 3, 2011 9:17PM by badmudda
I dont know how to install car with handling
Posted on January 5, 2011 10:01AM by joelfieri
well, i have 1.0.4.0., older ScriptHook.dll was working, this one don't.
Posted on July 2, 2011 5:58AM by tall70
how do you open it in game
Posted on July 6, 2011 12:06AM by drumslayer123
does this work for eflc 1.1.2.0?????
Posted on August 15, 2011 1:49PM by Pwnk
is there any way of turning off the log for the scripthook ?

Posted on August 18, 2011 8:38PM by TommyGunnZ
culd sum1 pm me im having problems wit my gta iv on windows 7
Posted on August 24, 2011 12:58AM by kmill
works with 1.0.7.0 :)
Posted on September 18, 2011 4:59PM by elveas
Will Someone do it 4 me on teamviewer 6 plzzzzzzzzzz
Posted on December 6, 2011 10:42AM by TheModKing
not working with 1.0.7.0 for me on Win 7 64bit,can you please update?
Posted on July 25, 2012 1:14PM by switt
download link doesnt work
Posted on May 1, 2013 9:14AM by gta4modder52
What ASI loader is used? Is it dsound.dll? I use GFWL you see.
Posted on June 24, 2013 3:01AM by GrandadTheGrey
Dunno why I bothered commenting only to download it to check anyway lol. Anyway, to anyone else who wants to know, yes the ASILoader is Dsound.dll
Posted on June 24, 2013 3:06AM by GrandadTheGrey
Proved useful!
Posted on June 30, 2013 8:28AM by HarshIV
Someone earlier said that it doesn't work on 1.0.7. Can anyone else confirm? I want to give it a try but I heard that if you install it onto the wrong version of GTA 4 then it will crash.
Posted on July 19, 2013 12:13AM by TheHulk
Yeah! You're right it don't work GTA-IV V1.7!
Posted on September 1, 2013 8:04AM by HarshIV
how to install this script ? I want to mod my GTA 4 but I don't understand how to install this script help pliss
Posted on September 7, 2013 12:09AM by velox3
i have updated to 1.0.7. and i get this from script hook log

Log start: Sun Sep 08 13:31:35 2013

-----------------------------------------------

[INFO] GTA IV Script Hook 0.5.1 - (C) 2009, Aru - Initialized

[INFO] Process base address: 0xa00000

[INFO] Auto detecting game version

[FATAL] Failed to detect game version
Posted on September 7, 2013 10:33PM by mrfordfalcon
Good!
Posted on March 11, 2014 4:09AM by hkuu
i have install the ultimate cars pack 2013 but when i install the scripthook into gta iv it dosent work the game not open but when i remove it it works but all cars are taxi what i do plz tell me

Posted on April 10, 2014 9:22AM by umaradnan80
Sorry, you must be registered and logged in to post a comment. Log in now!